
body {
    display: flex;
}

.sidebar {
    position: fixed; /* Fixe la barre sur le côté */
    width: 250px; /* Largeur de la sidebar */
    height: 100vh; /* Prend toute la hauteur */
    overflow-y: auto; /* Permet de scroller verticalement si le contenu dépasse */
    background: #343a40; /* Fond sombre */
    padding: 20px;
}
.sidebar a {
    display: block;
    color: white;
    padding: 10px;
    text-decoration: none;
    border-radius: 5px;
    margin-bottom: 5px;
}
.sidebar a:hover {
    background: #495057;
}
.content {
    margin-left: 260px;
    padding: 20px;
    width: calc(100% - 260px);
}
.separator {
    margin: 15px 0;
    height: 1px;
    background: #6c757d;
}

.sidebar button {
    display: block;
    color: white;
    padding: 10px;
    text-decoration: none;
    border-radius: 5px;
    margin-bottom: 5px;
    background: none;
    border: none;
    width: 100%;
    text-align: left;
    cursor: pointer;
    font: inherit;
}

.sidebar button:hover {
    background: #495057;
}
.sidebar::-webkit-scrollbar {
    width: 6px; /* Taille de la scrollbar */
}

.sidebar::-webkit-scrollbar-thumb {
    background-color: rgba(255, 255, 255, 0.5); /* Couleur de la barre */
    border-radius: 3px;
}


@media (max-width: 768px) {
  .sidebar {
    width: 60px;
    padding: 10px 0;
    text-align: center;
  }

  .sidebar a,
  .sidebar button {
    display: block;
    padding: 10px 0;
    text-align: center !important;
    font-size: 1.4rem;
  }

  .sidebar h3,
  .sidebar h5 {
    font-size: 0;
    margin: 0;
    padding: 0;
  }

  .sidebar-label {
    display: none;
  }

  .sidebar button {
    display: block;
    color: white;
    padding: 10px;
    text-decoration: none;
    border-radius: 5px;
    margin-bottom: 5px;
    background: none;
    border: none;
    width: 100%;
    text-align: left;
    cursor: pointer;
    font: inherit; /* hérite de la police comme un lien */
  }

  .sidebar button:hover {
    background: #495057;
  }

  .separator {
    margin: 10px auto;
    width: 30px;
    height: 1px;
    background: #6c757d;
  }

  .sidebar::-webkit-scrollbar {
    width: 6px; /* Taille de la scrollbar */
  }

  .sidebar::-webkit-scrollbar-thumb {
    background-color: rgba(255, 255, 255, 0.5); /* Couleur de la barre */
    border-radius: 3px;
  }

  .separator {
    margin: 10px auto;
    width: 30px;
    height: 1px;
    background: #6c757d;
  }

  .content {
    margin-left: 60px;
    width: calc(100% - 60px);
  }
}
